Copyright: Created with EasyHelp (Tel: 0973 209667)


L5210 MB+/HRegister Output - RG354409

Description

This block connects the specified Modbus Plus holding register address to incoming slot(s) or Holding Register Input Function Blocks in the SSD LINK gateway so that data may be read from the SSD LINK network.  The address is configurable in the range 40001 through 49999, but MUST be configured at addresses less than the Float Starting Address as specified by the L5210 MB+/System Control function block.  Additionally, the scaling factor may be varied to normalize the number received from the Modbus Plus Network; however, it should be noted, rounding will occur for non-integer scaling factors.  It is suggested, but not required, that the scaling factor be restricted to the range 0.0001 through 100 for display purposes.

Parameters

Input	Expects an ordinal between 0 and 65535.

Get Output	Returns the current value of the register:  0 to 65535.


Description

This block connects the specified Modbus Plus holding register address to incoming slot(s) or Holding Register Input Function Blocks in the SSD LINK gateway so that data may be read from the SSD LINK network.  The address is configurable in the range 40001 through 49999, but MUST be configured at addresses less than the Float Starting Address as specified by the L5210 MB+/System Control function block.  Additionally, the scaling factor may be varied to normalize the number received from the Modbus Plus Network; however, it should be noted, rounding will occur for non-integer scaling factors.  It is suggested, but not required, that the scaling factor be restricted to the range 0.0001 through 100 for display purposes.


Parameters

Input	Expects an ordinal between 0 and 65535.

Get Output	Returns the current value of the register:  0 to 65535.